List funder API integrations
curl --request GET \
--url https://api.nextlevelmca.com/v1/lenders/api-specs \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nextlevelmca.com/v1/lenders/api-specs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nextlevelmca.com/v1/lenders/api-specs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "<string>",
"display_name": "<string>",
"tier": "A",
"capabilities": {
"polls": true,
"returns_offers": true,
"uploads_docs": true,
"sandbox": true,
"max_owners": 123
},
"credential_spec": [
{
"key": "<string>",
"label": "<string>",
"secret": true,
"hint": "<string>"
}
],
"required_fields": [
"<string>"
],
"active": true
}
],
"meta": {
"next_cursor": "<string>",
"has_more": true
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}Lenders
List funder API integrations
The funder integrations this deployment can submit through, with their tier, capabilities, the credential fields each expects (in order) and the deal fields each requires. Use an id as funder_api_spec_id in PUT /lenders/{id}/api-config. mock is a test funder that never contacts anyone; it is listed only in test workspaces.
GET
/
v1
/
lenders
/
api-specs
List funder API integrations
curl --request GET \
--url https://api.nextlevelmca.com/v1/lenders/api-specs \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nextlevelmca.com/v1/lenders/api-specs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nextlevelmca.com/v1/lenders/api-specs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "<string>",
"display_name": "<string>",
"tier": "A",
"capabilities": {
"polls": true,
"returns_offers": true,
"uploads_docs": true,
"sandbox": true,
"max_owners": 123
},
"credential_spec": [
{
"key": "<string>",
"label": "<string>",
"secret": true,
"hint": "<string>"
}
],
"required_fields": [
"<string>"
],
"active": true
}
],
"meta": {
"next_cursor": "<string>",
"has_more": true
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}Authorizations
API key (nlmca_live_…) or OAuth access token
Query Parameters
Page size (1–100).
Required range:
1 <= x <= 100Opaque cursor from a previous response’s meta.next_cursor.
Was this page helpful?